#include <cstdlib>

#include "common.h"

int randint(int below) {
	int r = rand();
	int v = r % below;
	return v;
}

string pos_to_str(const position& p) {
	if (p.x == -3 && p.y == -3) return "(none)";
	if (p.is_pass()) return "(pass)";
	stringstream ss;
	char x = p.x + 'A';
	if (x >= 'I') x++;
	ss << x << (p.y + 1);
	return ss.str();
}

namespace go {

ostream& operator<<(ostream& os, const position& p) {
	os << pos_to_str(p);
	return os;
}

}

string operator+(const string& s, int& i) {
	return s;
}
